Booklinker.API

<back to all web services

GetCollectionRequest

Requires Authentication
The following routes are available for this service:
GET/v2/collections
GET/v2/collections/{Id}
GetCollectionRequest Parameters:
NameParameterData TypeRequiredDescription
IdpathstringNo
GetCollectionResponse Parameters:
NameParameterData TypeRequiredDescription
DataformUserCollectionNo
V2BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo
UserCollection Parameters:
NameParameterData TypeRequiredDescription
TypeformstringNo
IdformstringNo
BaseCodeformstringNo
UrlformstringNo
TitleformstringNo
LinkIdsformIEnumerable<string>No
CollectionSettingsIdformstringNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /v2/collections HTTP/1.1 
Host: api.booklinker.com 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	data: 
	{
		type: collection,
		id: String,
		baseCode: String,
		url: String,
		title: String,
		collectionSettingsId: String
	},
	responseStatus: 
	{
		errorCode: String,
		message: String,
		stackTrace: String,
		errors: 
		[
			{
				errorCode: String,
				fieldName: String,
				message: String,
				meta: 
				{
					String: String
				}
			}
		],
		meta: 
		{
			String: String
		}
	}
}